agents.localModel

## Enum TypeLocalModel

- java.lang.Object
- - java.lang.Enum<TypeLocalModel>
  - - agents.localModel.TypeLocalModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TypeLocalModel>

    public enum TypeLocalModel
    extends java.lang.Enum<TypeLocalModel>

Defines the different implemented local model. Each local model is associated to a class.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AVERAGE` The average.
`FIRST_EXPERIMENT` The first experiment.
`MILLER_REGRESSION` The miller regression.

### Method Summary

All Methods Static Methods Concrete Methods
`static TypeLocalModel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TypeLocalModel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIRST_EXPERIMENT

    public static final TypeLocalModel FIRST_EXPERIMENT

The first experiment.

#### AVERAGE

    public static final TypeLocalModel AVERAGE

The average.

#### MILLER_REGRESSION

    public static final TypeLocalModel MILLER_REGRESSION

The miller regression.

### Method Detail

#### values

    public static TypeLocalModel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TypeLocalModel c : TypeLocalModel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TypeLocalModel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null